Skip to main content
POST
Edit transcript

Authorizations

Authorization
string
header
required

A workspace API key.

Path Parameters

projectId
string
required

The project id.

Required string length: 1 - 200

Body

application/json
compositionId
string
required

composition.id from the transcript read.

Required string length: 1 - 200
baseRevisionId
string
required

The composition's headRevisionId from the read.

Required string length: 1 - 200
assetId
string
required

The source the words belong to (sources[].assetId).

Required string length: 1 - 200
edit
object
required

Response

Success.

success
boolean
required
changed
boolean
required
compositionId
string
required
revisionId
string
required

The new head (or the unchanged one).

{key}
any